package com.hcordova.flightagencyapi.shared.exceptions;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(HttpStatus.NOT_FOUND)
public class NotFoundException extends RuntimeException {

    private String path;
    
    public NotFoundException(String message) {
        super(message);
        this.path = this.getLocalizedMessage();
    }

    public String getPath() {
        return path;
    }
}
