interface Reservation {
  id?: number;
  agentId: number;
  passengerId: number;
  passengerName: string;
  statusCode: ReservationStatusCode;
  ticketTypeCode: number;
  ticketTypeName: string;
  travelClassCode: number;
  travelClassName: string;
  dateReservationMade: string;
  flightId: number;
}

type ReservationStatusCode = 'REGISTRADO' | 'PROCESANDO_PAGO' | 'CANCELADO' | 'PAGADO';

export { Reservation, ReservationStatusCode };
