import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { FlightClass } from '../interfaces/flight-class.interface';

@Injectable({providedIn: 'root'})
export class TicketClassService {
  constructor(private http: HttpClient) { }

  private BASE_URL: string = 'http://localhost:3000/ticketClasses';

  getAll(): Observable<FlightClass[]> {
    return this.http.get<FlightClass[]>(this.BASE_URL);
  }
}
