import { Component, EventEmitter, Input, Output } from '@angular/core';
import { TableModel } from '../../interfaces/table-model.interface';

@Component({
  selector: 'shared-table-search',
  templateUrl: './table-search.component.html',
  styleUrls: ['./table-search.component.css']
})
export class TableSearchComponent {

  @Input()
  public tableData: any[] = [];

  @Input()
  public tableModel: TableModel[] = [];

  @Output()
  public onSelect: EventEmitter<any> = new EventEmitter<any>();

  onSelectRow(row: any): void {
    this.onSelect.emit(row);
  }
}
