import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Aircraft } from '../interfaces/aircraft.interface';

@Injectable({providedIn: 'root'})
export class AircraftService {
  constructor(private http: HttpClient) { }

  URL_BASE: string = 'http://localhost:3000/aircrafts';

  getAll(): Observable<Aircraft[]> {
    return this.http.get<Aircraft[]>(this.URL_BASE);
  }
}
