import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Airline } from '../interfaces/airline.interface';

@Injectable({providedIn: 'root'})
export class AirlineService {
  constructor(private http: HttpClient) { }

  BASE_URL = 'http://localhost:3000';

  getAll(): Observable<Airline[]> {
    return this.http.get<Airline[]>(`${this.BASE_URL}/airlines`);
  }
}
