import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Airport } from '../interfaces/airport.interface';

@Injectable({providedIn: 'root'})
export class AirportsService {
  constructor(private http: HttpClient) { }

  private BASE_URL: string = 'http://localhost:3000/airports';

  getAll(): Observable<Airport[]> {
    return this.http.get<Airport[]>(this.BASE_URL);
  }
}
