import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { TicketType } from '../interfaces/ticket-type.interface';
import { Observable } from 'rxjs';

@Injectable({providedIn: 'root'})
export class TicketTypeService {
  constructor(private http: HttpClient) { }

  private BASE_URL: string = 'http://localhost:3000/ticketTypes';

  getAll(): Observable<TicketType[]> {
    return this.http.get<TicketType[]>(this.BASE_URL);
  }
}
