import { Location } from '@angular/common';
import { Component, Input } from '@angular/core';

@Component({
  selector: 'shared-mail-box',
  templateUrl: './mail-box.component.html',
  styleUrls: ['./mail-box.component.css']
})
export class MailBoxComponent {

  @Input()
  public title: string = '';

  @Input()
  public icon: string = '';

  @Input()
  public message: string = '';

  @Input()
  public btnBack: boolean = false;

  constructor(private location: Location) { }

  goBack(): void {
    this.location.back();
  }
}
