import { CostFlight } from "./cost-flight.interface";
import { ScaleFlight } from "./scale.interface";

export interface Flight {
  id: number;
  airline: string;
  airlineId: number;
  aircraftType: string;
  aircraftTypeId: number;
  airportOrigin: string;
  airportOriginId: number;
  airportDestination: string;
  airportDestinationId: number;
  dateStart: string;
  dateEnd: string;
  scales: ScaleFlight[];
  costs: CostFlight[];
}
